package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComBatch;
import com.yiboshi.science.param.dto.ComBatchDTO;
import com.yiboshi.science.param.query.ComBatchQueryVO;
import org.apache.ibatis.annotations.Param;

/**
 * 人员表 DAO
 *
 * @author lkl
 * @version 2021-08-26
 */
public interface ComBatchDAO extends BaseMapper<ComBatch>, BaseDAO<ComBatchQueryVO,ComBatchDTO,ComBatch> {
    Integer getMaxBatch(@Param(value="year") int year,Integer projType);

    ComBatchDTO getCurrentYearBatchByType(Integer projType);

    ComBatchDTO getCurrentYearBatch();
}
