package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectFundComposition;
import com.yiboshi.science.param.dto.ComProjectFundCompositionDTO;
import com.yiboshi.science.param.query.ComProjectFundCompositionQueryVO;

import java.util.List;

/**
 * 经费申请表（任务书/项目申请书） DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectFundCompositionDAO extends BaseMapper<ComProjectFundComposition>, BaseDAO<ComProjectFundCompositionQueryVO, ComProjectFundCompositionDTO, ComProjectFundComposition> {
    List<ComProjectFundCompositionDTO> getListByObjectId(String objectId);
}