package com.yiboshi.science.dao;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.SystemParameter;
import com.yiboshi.science.param.dto.SpecDTO;
import com.yiboshi.science.param.dto.SystemParameterDTO;
import com.yiboshi.science.param.query.SystemParameterQueryVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 参数表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface SystemParameterDAO extends BaseMapper<SystemParameter>, BaseDAO<SystemParameterQueryVO, SystemParameterDTO,SystemParameter> {
     List<SystemParameter> getList(@Param("ew") Wrapper<SystemParameter> queryWrapper);
     List<SystemParameter>  getParentParameterList();
     List<SpecDTO> getSpecArray();
}