package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectManagementRule;
import com.yiboshi.science.param.dto.ComProjectManagementRuleDTO;
import com.yiboshi.science.param.query.ComProjectManagementRuleQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectManagementRuleService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：单位科研项目及资金管理制度表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-management-rule",description = "单位科研项目及资金管理制度表")
@RestController
@RequestMapping("/v1/science-admin/com-project-management-rule ")
public class ComProjectManagementRuleController extends BaseController<ComProjectManagementRuleService, ComProjectManagementRuleQueryVO, ComProjectManagementRuleDTO, ComProjectManagementRule> {

}