package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComConclusionThesis;
import com.yiboshi.science.param.dto.ComConclusionThesisDTO;
import com.yiboshi.science.param.query.ComConclusionThesisQueryVO;

import java.util.List;

/**
 * 结题论文记录表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComConclusionThesisService extends BaseService<ComConclusionThesisQueryVO, ComConclusionThesisDTO, ComConclusionThesis> {
    /** 根据对象获取列表
     *
     * @param objectId
     * @return
     */
    List<ComConclusionThesisDTO> getListByObjectId(String objectId);
    /**插入项目组成员
     *
     * @param list
     * @param objectId
     */
    void insertList(List<ComConclusionThesisDTO> list,String objectId);
}