package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComProjectBasic;
import com.yiboshi.science.param.dto.ComProjectBasicDTO;
import com.yiboshi.science.param.dto.ComProjectDTO;
import com.yiboshi.science.param.query.ComProjectBasicQueryVO;

/**
 * 项目信息表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectBasicService extends BaseService<ComProjectBasicQueryVO, ComProjectBasicDTO, ComProjectBasic> {
    String insertOrUpdate(ComProjectDTO dto);

    void deleteByProjId(String projId);
}