package com.yiboshi.science.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class SelectCodeListItem implements Serializable {
    /** 获取或设置选定项的文本 */
    private String label;
    /** 获取或设置选定项的值 */
    private String value;
    /** description */
    private String description;
    /** 获取或设置选定项的文本 */
    private boolean selected;
    /** 获取或设置一个值，该值指示是否禁用 */
    private boolean disabled;
    /** 子选项 */
    private List<SelectCodeListItem> children;
}
