package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectCooperativeUnits;
import com.yiboshi.science.param.dto.ComProjectCooperativeUnitsDTO;
import com.yiboshi.science.param.query.ComProjectCooperativeUnitsQueryVO;

import java.util.List;

/**
 * 合作单位表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectCooperativeUnitsDAO extends BaseMapper<ComProjectCooperativeUnits>, BaseDAO<ComProjectCooperativeUnitsQueryVO,ComProjectCooperativeUnitsDTO, ComProjectCooperativeUnits> {
    List<ComProjectCooperativeUnitsDTO> getListByObjectId(String objectId, int type);
}