package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectManufacture;
import com.yiboshi.science.param.dto.ComProjectManufactureDTO;
import com.yiboshi.science.param.query.ComProjectManufactureQueryVO;

import java.util.List;

/**
 * 试制设备预算明细表 DAO
 * 
 * @author xujun
 * @version 2024-12-16
 */
public interface ComProjectManufactureDAO extends BaseMapper<ComProjectManufacture>, BaseDAO<ComProjectManufactureQueryVO, ComProjectManufactureDTO, ComProjectManufacture> {
    List<ComProjectManufactureDTO> getListByObjectId(String objectId);
}