package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.ComProjectTask;
import com.yiboshi.science.param.dto.ComProjectTaskDTO;
import com.yiboshi.science.param.dto.DataStatisticsDTO;
import com.yiboshi.science.param.query.ComProjectTaskQueryVO;
import org.apache.ibatis.annotations.Param;

/**
 * 任务书表 DAO
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComProjectTaskDAO extends BaseMapper<ComProjectTask>, BaseDAO<ComProjectTaskQueryVO, ComProjectTaskDTO, ComProjectTask> {
    DataStatisticsDTO getCount(@Param("ew") Wrapper<ComProjectTask> queryWrapper);
}