package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 年度设置表
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Getter
@Setter
public class ComBatch extends BaseEntity {
    /** 年度 */
    private Integer year;
    /** 批次 */
    private Integer batch;
    /** 批次类型 1科研项目申报  2重点学科申报 */
    private Integer projType;
    /** 申报开始时间 */
    private Date reportStart;
    /** 申报结束时间 */
    private Date reportEnd;
    /** 单位上报到州市级行政单位开始时间 */
    private Date unitStart;
    /** 单位上报到州市级行政单位结束时间 */
    private Date unitEnd;
    /** 州市级行政单位报到省卫健委开始时间 */
    private Date prefectureStart;
    /** 州市级行政单位报到省卫健委结束时间 */
    private Date prefectureEnd;
    /** 省直单位报到省卫健委开始时间 */
    private Date provinceStart;
    /** 省直单位报到省卫健委结束时间 */
    private Date provinceEnd;
    /** 专家审核开始时间 */
    private Date expertStart;
    /** 专家审核结束时间 */
    private Date expertEnd;
    /** 备注 */
    private String remark;
}