package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 查询附件表VO
 * 
 * @author lkl
 * @version 2021-08-25
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "查询附件表VO")
public class ComDownloadQueryVO extends PaginationVO {
    /** URL */
    @ApiModelProperty(value = "URL", position = 1)
    private String downloadUrl;
    /** 附件名 */
    @ApiModelProperty(value = "附件名", position = 2)
    private String fileName;
    /** 后缀 */
    @ApiModelProperty(value = "后缀", position = 3)
    private String extension;
}