package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectCooperativeUnits;
import com.yiboshi.science.param.dto.ComProjectCooperativeUnitsDTO;
import com.yiboshi.science.param.query.ComProjectCooperativeUnitsQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectCooperativeUnitsService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：合作单位表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-project-together",description = "合作单位表")
@RestController
@RequestMapping("/v1/science-admin/com-project-together")
public class ComProjectCooperativeUnitsController extends BaseController<ComProjectCooperativeUnitsService,  ComProjectCooperativeUnitsQueryVO, ComProjectCooperativeUnitsDTO, ComProjectCooperativeUnits> {


}