package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComProjectUnitPayment;
import com.yiboshi.science.param.dto.ComProjectUnitPaymentDTO;
import com.yiboshi.science.param.query.ComProjectUnitPaymentQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComProjectUnitPaymentService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：年度用款计划接口
 *
 * @author xujun
 * @version 2024-11-28
 */
@Api(tags = "com-project-unit-payment", description = "年度用款计划接口")
@RestController
@RequestMapping("/v1/science-admin/com-project-unit-payment")
public class ComProjectUnitPaymentController extends BaseController<ComProjectUnitPaymentService, ComProjectUnitPaymentQueryVO, ComProjectUnitPaymentDTO, ComProjectUnitPayment> {


}