package com.yiboshi.science.rest.v1;

import com.yiboshi.science.entity.ComTaskTarget;
import com.yiboshi.science.param.dto.ComTaskTargetDTO;
import com.yiboshi.science.param.query.ComTaskTargetQueryVO;
import com.yiboshi.science.rest.BaseController;
import com.yiboshi.science.service.ComTaskTargetService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：任务书预期成果表 接口
 * @author lkl
 * @version 2021-08-26
 */
@Api(tags = "com-test-target",description = "任务书预期成果表")
@RestController
@RequestMapping("/v1/science-admin/com-test-target")
public class ComTaskTargetController extends BaseController<ComTaskTargetService, ComTaskTargetQueryVO, ComTaskTargetDTO, ComTaskTarget> {


}